locked
OCS 2007 Eval to Full Upgrade error RRS feed

  • Question

  • I'm trying to upgrade an installation of OCS 2007 Standard from the evaluation version to the full version. I have a problem when I run the command "msiexec.exe /i server.msi EVALTOFULL=1 /l*v c:\ocsupgrade.log"

     

    I get an error message saying "Microsoft Office Communications Server 2007 installation or uninstallation requires that VC++ 2005 SP1 Redistribuatable is already installed. Either user Setup.exe for installation or run VCRedist_x86.exe included with the product to install the redistributable"

     

    I ran the executable referenced in the error message and it seems to have been installed successfully. It is listed in Add/Remove Programs. However, I continue to get the same error message.

     

    Anybody have any ideas how to troubleshoot that?

    Saturday, May 24, 2008 12:32 AM

All replies


  • If you are going to use this server for OCS again, just leave it and reboot the machine and proceed with re-installation.
    Just remove reference of this server from the Active Directory and continue with the re-installation. Binaries shouldnt make any difference!
    I had same issue and I could rewactivate the server without any problem.



    Regards,
    R. Kinker
    MCTS - LCS 2005, MCTS - OCS 2007
    http://www.ocspedia.com

    Saturday, May 24, 2008 11:30 PM

  • I'm not following. Are you suggesting completely removing OCS and reinstalling? The documentation I'm looking at indicates that this is not necessary to move from the trial to full version.
    Tuesday, May 27, 2008 4:28 PM
  • I am having the same problem uninstalling the product.

     

    I am uninstalling a server in a consolidated pool to move from a MSDN version to the full version.

     

    I have deactivated the server and the uninstalled the roles in the correct order, but when I try to uninstall the last role I get the error:

     

    Microsoft Communication server 2007 Installation or uninstallation requires that VC++ 2005 sp1 Redistributable is already installed. Either use setup.exe for installation or run VCRedist_x86.exe included with the product to install"

     

    This is already installed, I tried to reinstall the VC++ 2005 sp1 but no luck the same error pops up.

     

    the following error is in Event log:

     

    Source:MsiInstaller

    ID: 10005

     

    Source:MsiInstaller

    ID: 11725

     

    I have called MS support this morning but have not received any answers yet. Please help.

     

    Any ideas?

     

    Best Regards

    Jakob

     

    Wednesday, May 28, 2008 10:49 AM
  • try this http://support.microsoft.com/kb/949260
    Thursday, July 17, 2008 3:27 PM